!function($) {

    Header = {
        init: function () {
            Header.SearchBar();
        },

        SearchBar: function () {
            $('.p-discovery').ready(function () {

                $('.control-search').click(function (e) {
                    $(this).parents('.p-nav-opposite').children('.p-navgroup--member').addClass('notshow');
                    $(this).parents('.p-nav-opposite').children('.p-navgroup--guest').addClass('hidden');
                    $(this).parents('.p-discovery').children('.close-search').removeClass('hidden');
                    $(this).parents('.p-discovery').children('.control-search').addClass('hidden');
                    $(this).parent().children('.search-area').addClass('show');
                    $(this).parents('.p-discovery').addClass('active');
                    e.stopPropagation();
                });
                $('.close-search').click(function (e) {
                    $(this).parents('.p-nav-opposite').children('.p-navgroup--member').removeClass('notshow');
                    $(this).parents('.p-nav-opposite').children('.p-navgroup--guest').removeClass('hidden');
                    $(this).parents('.p-discovery').children('.control-search').removeClass('hidden');
                    $(this).parent().children('.search-area').removeClass('show');
                    $(this).parents('.p-discovery').removeClass('active');
                    $(this).addClass('hidden');
                    e.stopPropagation();
                });
                $('.search-input').click(function (e) {
                    $(this).parent().children('.search-option').addClass('active');
                    e.stopPropagation();
                });
                $('.search-option').click(function (e) {
                    e.stopPropagation();
                })
            });
            $('body, html').click(function () {
                $('.search-option').removeClass('active');
                $('.search-area').removeClass('show');
                $('.close-search').addClass('hidden');
                $('.control-search').removeClass('hidden');
                $('.p-navgroup--member').removeClass('notshow');
                $('.p-navgroup--guest').removeClass('hidden');
                $('.p-discovery').removeClass('active');
            });
        }

    };

    Mainbody = {
        init: function () {
            Mainbody.ControlBlockHeader();
            Mainbody.BrvTooltip();
            Mainbody.BrvNewTags();
            Mainbody.CountSubnode();
            Mainbody.BrvCustomTitleThread();
            Mainbody.CheckBlockOuter();
        },

        ControlBlockHeader: function () {
            var html = '<span class="block-control fa fa-angle-up"></span>',
                $blockheader = $('.block--category .block-header, .p-body-sidebar .block-header, .p-body-sideNav .block-header');
            var html1 = '<span class="block-control fa fa-angle-up"></span>';

            $blockheader.append(html);
            $('.block-minorHeader').append(html1);


            $('.block-control').click(function () {
                if ($(this).parents('.block-container').children('.block-body').hasClass('active')){
                    $(this).parents('.block-container').children('.block-body').removeClass('active').slideDown('400');
                    $(this).removeClass('fa-angle-down').addClass('fa-angle-up');
                }else {
                    $(this).parents('.block-container').children('.block-body').addClass('active').slideUp('400');
                    $(this).addClass('fa-angle-down').removeClass('fa-angle-up');
                }
            });
        },

        BrvTooltip: function () {
            $('.block--category').ready(function () {
                var w1 = $('.block-header >a').width() + 40,
                    dir = $('html').attr('dir');
                if ( dir == 'RTL'){
                    $('.show-tooltip').css('right', w1);
                } else {
                    $('.show-tooltip').css('left', w1);
                }
            });
        },

        BrvNewTags: function () {
            var contenttag = $('body[data-template="thread_view"] .p-body .p-body-inner .p-body-header .p-description ul li+li+li').html();
            $('body[data-template="thread_view"] .new_tags_brv').append(contenttag);
        },

        CountSubnode: function () {
            $('.node').each(function () {
                var num = $(this).find('.subNodeMenu li'),
                    x = num.length;
                if (x > 0){
                    $(this).find('.item__number--subNode').html(x);
                }
            });
        },

        BrvCustomTitleThread: function () {
            var $template = $('body').attr('data-template'),
                $title = $('.p-body-header'),
                $data = $title.html(),
                $target = $('.brv--custom--title--thread');

            if ($template == 'thread_view'){
                $target.html($data);
                $title.empty();
            }

        },

        CheckBlockOuter: function () {
            var $data = $('.block-outer');

            $data.each(function () {
                if ($(this).height() < 15){
                    $(this).css({
                        "background": "transparent"
                    });
                }
            })
        }
    };

    Footer = {
        init: function () {

        }
    };

    Sidebar = {
        init: function () {
            Sidebar.ControlSidebar();
            Sidebar.CheckSidebar();
        },

        ControlSidebar: function () {
            var sidebar = '<span class="control-sidebar fa fa-align-center"></span>',
                w_content =  $('.p-body-inner .p-body-content').width(),
                w_sidebar =  $('.p-body-inner .p-body-sidebar').width();


            var ctrsidebar = function () {
                if ($(window).width() > 768){
                    $('.p-body-main--withSidebar').parents('.p-pageWrapper').find('.brv-breadcrumbs .brv-breadcrumbs-inner').append(sidebar);
                }
            };

            ctrsidebar();

            $('.control-sidebar').click(function () {
                if ($(this).parents('.p-pageWrapper').find('.p-body-sidebar').hasClass('hide')){
                    $(this).parents('.p-pageWrapper').find('.p-body-sidebar').removeClass('hide').slideDown();
                    $(this).parents('.p-pageWrapper').find('.p-body-content').removeClass('edit-padd').removeAttr('style');
                }else {
                    $(this).parents('.p-pageWrapper').find('.p-body-sidebar').addClass('hide').slideUp();
                    $(this).parents('.p-pageWrapper').find('.p-body-content').addClass('edit-padd').width(w_content + w_sidebar);
                }
            });
        },

        CheckSidebar: function () {
            var $data = $('.p-body-main');

            if ($data.hasClass('p-body-main--have--sidebar')){
                $('html').addClass('page_have_sidebar');
            }
        }
    };

    OnReady = {
        init: function () {
            Header.init();
            Mainbody.init();
            Footer.init();
            Sidebar.init();
        }
    };

    $(document).ready(function () {
        OnReady.init();
    });

}(jQuery);

