<?php

namespace Brivium\CustomNodeIcon;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{
    use StepRunnerInstallTrait;
    use StepRunnerUpgradeTrait;
    use StepRunnerUninstallTrait;

    public function installStep1()
    {

        $this->schemaManager()->alterTable('xf_node', function(Alter $table)
        {
            $table->addColumn('brcni_icon_type', 'enum')->values(['', 'image'])->setDefault('');
            $table->addColumn('brcni_icon_data', 'text')->nullable(true);
        });
    }

    public function uninstallStep1()
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
            $table->dropColumns(['brcni_icon_type', 'brcni_icon_data']);
        });
    }
}